org.jbpm.services.task.audit.impl.model

## Class TaskEventImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskEventImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskEventImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CORRELATION_KEY`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String>` | `correlationKey`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date>` | `end`
    `static String` | `END`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `id`
    `static String` | `ID`
    `static String` | `LOG_TIME`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date>` | `logTime`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String>` | `message`
    `static String` | `MESSAGE`
    `static String` | `PROCESS_INSTANCE_ID`
    `static String` | `PROCESS_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer>` | `processType`
    `static String` | `TASK_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `taskId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,org.kie.internal.task.api.model.TaskEvent.TaskEventType>` | `type`
    `static String` | `TYPE`
    `static String` | `USER_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String>` | `userId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer>` | `version`
    `static String` | `VERSION`
    `static String` | `WORK_ITEM_ID`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEventImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> processInstanceId

    - #### end

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date> end

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> id

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> workItemId

    - #### processType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer> processType

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,org.kie.internal.task.api.model.TaskEvent.TaskEventType> type

    - #### message

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String> message

    - #### correlationKey

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String> correlationKey

    - #### version

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer> version

    - #### userId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String> userId

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> taskId

    - #### logTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date> logTime

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### END

          public static final String END

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### WORK_ITEM_ID

          public static final String WORK_ITEM_ID

      See Also:
        Constant Field Values

    - #### PROCESS_TYPE

          public static final String PROCESS_TYPE

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final String MESSAGE

      See Also:
        Constant Field Values

    - #### CORRELATION_KEY

          public static final String CORRELATION_KEY

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### USER_ID

          public static final String USER_ID

      See Also:
        Constant Field Values

    - #### TASK_ID

          public static final String TASK_ID

      See Also:
        Constant Field Values

    - #### LOG_TIME

          public static final String LOG_TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskEventImpl_

          public TaskEventImpl_()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.